/******************************************************************************

   PROJECT:			CVDRIK
   FILE:			CVDRIKImageProcessing.h
   AUTHOR:			PRITHWIJIT GUHA
   DATE:
   DESCRIPTION:		Header for Image Processing Functions

******************************************************************************/

#ifndef __CVDRIKIMAGEPROCESSING_H__
#define __CVDRIKIMAGEPROCESSING_H__

/*************************** OTHER INCLUDE FILES *****************************/

// Include Standard C/C++ Header Files Here
#include <stdio.h>
#include <stdlib.h>
#include <math.h>

// Include OpenCV Header Files Here
#include <cv.h>
#include <highgui.h>
#include <cvaux.h>
#include <cxcore.h>

// Include CVDRIK Header Files Here
#include "../CVDRIKMultiChannelImage/CVDRIKMultiChannelImage.h"
#include "../CVDRIKMisc/CVDRIKMisc.h"


/*****************************************************************************/


/******************************************************************************

					FUNCTIONS FOR IMAGE FEATURE EXTRACTION

******************************************************************************/

// Function for Color Negative Image Computation
// Inputs :-
//			(IplImage*) rgbImg : Pointer to the 3-Channel RGB Image
//			(IplImage*) negImg : Pointer to the 3-Channel Negative Image
// Outputs :-
//			(unsigned char) errCode : The Error Code of Execution
// Invoked As : errCode = computeNegativeImage( &rgbImg , &negImg );
unsigned char computeNegativeImage( IplImage* rgbImg , IplImage* negImg );


#endif